Bug 58139 - tracepath core dump
tracepath core dump
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: iputils (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Phil Knirsch
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-09 14:32 EST by Need Real Name
Modified: 2015-03-04 20:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-24 12:45:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-09 14:32:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011226

Description of problem:
traecpath coredumps when called with the "-n" option

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1./usr/sbin/tracepath -n
2.
3.
	

Actual Results:  [jon@devotchka jon]$ /usr/sbin/tracepath -n
Segmentation fault (core dumped)


Additional info:

The manpage states this is safe to be setuid root, although the rh rpm isn't
installed setuid. 

here's the gdb back trace:

jon@dev:~ gdb /usr/sbin/tracepath core
GNU gdb Red Hat Linux (5.1-1)
<snip>
#0  0x400badc1 in strchr () from /lib/i686/libc.so.6
(gdb) bt
#0  0x400badc1 in strchr () from /lib/i686/libc.so.6
#1  0xbffff8c8 in ?? ()
#2  0x40051627 in __libc_start_main (main=0x8049040 <herror+2064>, argc=2, 
    ubp_av=0xbffff934, init=0x8048688, fini=0x8049340 <herror+2832>, 
    rtld_fini=0x4000dcc4 <_dl_fini>, stack_end=0xbffff92c)
    at ../sysdeps/generic/libc-start.c:129
(gdb)
Comment 1 Need Real Name 2002-01-09 15:17:00 EST
I got an email back from the author:

"This has been fixed in later version. To all that I remember, it is:

(from RELNOTES)

[011002]
* Stepan Koltsov <yozh@mx1.ru>, tracepath/tracepth6 segfaulted when
  used without address.

Thank you anyway!

Alexey"
Comment 2 Phil Knirsch 2002-02-24 12:45:37 EST
OK, as i'm currently updating the iptuils package to the latest release anyway
i'll close this bug as soon as i push it out via rawhide.

Read ya, Phil
Comment 3 Phil Knirsch 2002-03-12 08:49:33 EST
OK, fixed and pushed, closing bug.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.